Bug 1247105 - DataInput and DataOutput on Activities in Sub-Processes don't save datatype
DataInput and DataOutput on Activities in Sub-Processes don't save datatype
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: ER1
: 6.2.0
Assigned To: Jeremy Lindop
Kirill Gaevskii
:
: 1186739 1195335 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 06:52 EDT by Jeremy Lindop
Modified: 2015-11-17 06:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Lindop 2015-07-27 06:52:08 EDT
Description of problem:
DataInputs and DataOutputs in activities in sub-processes don't have their data-types saved.

Version: bpmsuite-6.1.0.GA

Steps to Reproduce:
1. Create a new BP
2. Add an embedded sub-process
3. Add a user task inside the sub-process
4. Edit DataInputSet property of the task, add input "s1" with type "String"
5. Edit DataOutputSet property of the task, add input "i1" with type "Integer"
6. At this point, the DataInputSet and DataOutputSet properties look OK, with the datatpyes of the input / output.
7. Save the Process
8. Close then re-open the process
9. Select the user task inside the sub-process - the DataInput and DataOutput properties contain items with no datatypes.
Comment 2 Jeremy Lindop 2015-07-27 11:09:30 EDT
There was a bug in the XML->Json marshalling which meant that data-types of dataInputs/Outputs on tasks in sub-processes were not marshalled.

Fixed promptly because this BZ looks quite severe in the new DataIOEditor for editing Inputs/Outputs and Assignments.

https://github.com/droolsjbpm/jbpm-designer/commit/c84e30e71240e52d6c714ed553917d06e234bcf7
Comment 3 Kirill Gaevskii 2015-09-24 08:23:29 EDT
Verified for 6.2.ER3 except IE10 see bug 1265652
Comment 4 Kirill Gaevskii 2015-11-16 13:12:25 EST
*** Bug 1195335 has been marked as a duplicate of this bug. ***
Comment 5 Jeremy Lindop 2015-11-17 06:46:20 EST
*** Bug 1186739 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.